Skip to main content
POST
Send a connector request
Beta — currently Shopify only. Send a GET or POST request using a linked tenant’s Shopify credentials. The outer hotglue request is always POST.

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow
string
required

ID of flow

user_id
string
required

ID of linked tenant

connector_id
string
required

Must start with shopify, for example shopify:oauth

Pattern: ^shopify
Example:

"shopify:oauth"

Body

application/json
url_path
string
required

API path to request on the linked platform.

Example:

"/admin/api/2026-07/graphql.json"

method
enum<string>
required

Inner request method; the outer request is always POST.

Available options:
GET,
POST
headers
object | null

Optional headers

query_params
object | null

Optional query parameters appended to url_path.

body
any

Optional inner request body; any JSON value, including null.

Response

OK

result
object
required